Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/7987/?format=api
{ "ob_id": 7987, "uuid": "8097295108f53bdc8242bb6c6f8f65f6", "title": "NCAVEO: Concrete calibration site spectra collected at the Chilbolton Facility for Atmospheric and Radio Research (CFARR) using a GER3700 Spectroradiometer", "abstract": "Reflectance data were acquired from a fixed tripod near the north-east corner of a concrete calibration site at the Chilbolton Facility for Atmospheric and Radio Research (CFARR), as part of the Network for Calibration and Validation of Earth Observation data (NCAVEO) 2006 Field Campaign. The data was collected on the 17th June 2006 using a single beam GER3700 spectroradiometer. The nominal field-of view of the instrument was 3°, and it was mounted 1 metre above the surface. ", "keywords": "", "publicationState": "published", "dataPublishedTime": "2008-10-08T13:41:31", "doiPublishedTime": null, "updateFrequency": "notPlanned", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/12674/?format=api", "dataPath": "/neodc/ncaveo_field/data/Field_spectra/Concrete_Spectra", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 1154812, "numberOfFiles": 7, "fileFormat": "The calibrated reflectance spectra are in a NASA Ames format file and a plot of all the spectra over the visible and near IR regions is in PNG format. Photographs of the GER3700 and the calibration site are also included as JPG files. " }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/2283/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/172/?format=api", "nonGeographicFlag": false, "phenomena": [ "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/84669/?format=api" ], "dataLineage": "These data were provided to NEODC by university of Southampton, who carried out work to convert formats to NASA-Ames, and write metadata documents. The metadata documents describing the processing are archived alongside the data as PDF files.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/identifiers/5195/?format=api" ], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/7827/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/7824/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/30128/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32696/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32701/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32695/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32698/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32699/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32700/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32702/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32697/?format=api" ], "procedureAcquisition": "https://api.catalogue.ceda.ac.uk/api/v2/acquisitions/7990/?format=api", "procedureCompositeProcess": null, "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2522/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "registered", "accessRoles": null, "label": "registered: None group", "licenceURL": "http://www.nationalarchives.gov.uk/doc/open-government-licence/version/3/", "licenceClassifications": "any" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }